import React from 'react';
import { useTranslations } from 'next-intl';
import { unstable_setRequestLocale } from 'next-intl/server';
import { i18nText } from '../../../../i18nKeys';

export default function News({ params: { locale } }: { params: { locale: string }}) {
    unstable_setRequestLocale(locale);
    const t = useTranslations('Main');

    return (
        <div className="main-articles">
            <div className="b-inner">
                <h2 className="title-h2">{t('news')}</h2>
                <div className="row">
                    <div className="col-lg-4 col-md-6 col-sm-6">
                        <div className="b-article">
                            <div className="b-article__image">
                                <img className="" src="/images/article.png" alt=""/>
                            </div>
                            <div className="b-article__inner">
                                <div className="b-article__title">News Headline</div>
                                <div className="b-article__text">
                                    The program not only focuses on a financial perspective, but allows you to study
                                    performance from many angles, such as human resources management, IT, operations
                                    management, risks etc.
                                </div>
                                <a href="#" className="b-article__link">{i18nText('readMore', locale)}
                                    <img className="" src="/images/chevron-forward.svg" alt=""/>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div className="col-lg-4 d-none d-lg-block">
                        <div className="b-article">
                            <div className="b-article__image">
                                <img className="" src="/images/article.png" alt=""/>
                            </div>
                            <div className="b-article__inner">
                                <div className="b-article__title">News Headline</div>
                                <div className="b-article__text">
                                    The program not only focuses on a financial perspective, but allows you to study
                                    performance from many angles, such as human resources management, IT, operations
                                    management, risks etc.
                                </div>
                                <a href="#" className="b-article__link">{i18nText('readMore', locale)}
                                    <img className="" src="/images/chevron-forward.svg" alt=""/>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div className="col-lg-4 d-none d-lg-block">
                        <div className="b-article">
                            <div className="b-article__image">
                                <img className="" src="/images/article.png" alt=""/>
                            </div>
                            <div className="b-article__inner">
                                <div className="b-article__title">News Headline</div>
                                <div className="b-article__text">
                                    The program not only focuses on a financial perspective, but allows you to study
                                    performance from many angles, such as human resources management, IT, operations
                                    management, risks etc.
                                </div>
                                <a href="#" className="b-article__link">{i18nText('readMore', locale)}
                                    <img className="" src="/images/chevron-forward.svg" alt=""/>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    );
};
