import React from 'react';
import { unstable_setRequestLocale } from 'next-intl/server';
import type { Metadata } from 'next';
import { i18nText } from '../../../../../i18nKeys';

export const metadata: Metadata = {
    title: 'Bbuddy - Account - Help & Support',
    description: 'Bbuddy desc help & support'
};

export default function Support({ params: { locale } }: { params: { locale: string } }) {
    unstable_setRequestLocale(locale);

    return (
        <>
            <ol className="breadcrumb">
                <li className="breadcrumb-item active" aria-current="page">{i18nText('accountMenu.support', locale)}</li>
            </ol>
            <div className="base-text">
                some text
            </div>
        </>
    );
}
