import { i18nText } from '../i18nKeys';

const ROUTES = ['sessions', 'notifications', 'support', 'information', 'settings', 'messages', 'work-with-us'];
const COUNTS: Record<string, number> = {
    sessions: 12,
    notifications: 5,
    messages: 113
};

export const getMenuConfig = (locale: string) => ROUTES.map((path) => ({
    path,
    title: i18nText(`accountMenu.${path}`, locale),
    count: COUNTS[path] || undefined
}));
